package routes

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

func New() *gin.Engine {
	e := gin.New()

	e.Use(gin.Logger())
	e.Use(gin.Recovery())

	return e
}

func SetRoute(e *gin.Engine) {
	e.GET("/", func(c *gin.Context) {
		c.String(http.StatusOK, "ok")
	})
}
